## InfAdoptedNoOperation

InfAdoptedNoOperation — An operation not doing anything.

## Stability Level

Unstable, unless otherwise indicated

## Functions

InfAdoptedNoOperation * | inf_adopted_no_operation_new ()

## Types and Values

struct | InfAdoptedNoOperation
struct | InfAdoptedNoOperationClass

## Object Hierarchy

        GObject
        ╰── InfAdoptedNoOperation

## Implemented Interfaces

InfAdoptedNoOperation implements InfAdoptedOperation.

## Includes

    #include <libinfinity/adopted/inf-adopted-no-operation.h>

## Description

InfAdoptedNoOperation is an operation that does nothing when applied to the buffer. This might be the result of an operation transformation, for example if a request is received that is supposed to delete text that was already deleted by the local site. It is also used by InfAdoptedSession to send the current state to other users in case the user being idle, so that others keep knowing the current state of that user (this is especially required for cleanup of request logs and caches).

## Functions

### inf_adopted_no_operation_new ()

    InfAdoptedNoOperation *
    inf_adopted_no_operation_new (void);

Creates a new InfAdoptedNoOperation. A no operation is an operation that does nothing, but might be the result of a transformation.

[constructor]

#### Returns

A new InfAdoptedNoOperation.

[transfer full]

## Types and Values

### struct InfAdoptedNoOperation

    struct InfAdoptedNoOperation;

InfAdoptedNoOperation is an opaque data type. You should only access it via the public API functions.

### struct InfAdoptedNoOperationClass

    struct InfAdoptedNoOperationClass {
    };

This structure does not contain any public fields.

## See Also

InfAdoptedOperation